package de.ivu.elect.business.search.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class BenutzerSuchparameterProperties
{

private final BenutzerSuchparameter entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  benutzerkennungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  nameProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  suchparameterProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  viewIdProperty;

        
    

public BenutzerSuchparameterProperties(BenutzerSuchparameter entity) {
this.entity = entity;

}

private static BenutzerSuchparameterMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( BenutzerSuchparameterMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getBenutzerkennungProperty() {
        if (benutzerkennungProperty == null) {
        benutzerkennungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getBenutzerkennungEinzahlMessage(),
        getMetaData().getBenutzerkennungDefaultValue(),
        getMetaData().isBenutzerkennungRequired(),
                entity::setBenutzerkennung,
        entity::getBenutzerkennung

                    ,  1 ,
            de.ivu.elect.business.search.entity.BenutzerSuchparameterConstants.BENUTZERKENNUNG_MAX_LENGTH
                );

        }


        return benutzerkennungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getNameProperty() {
        if (nameProperty == null) {
        nameProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getNameEinzahlMessage(),
        getMetaData().getNameDefaultValue(),
        getMetaData().isNameRequired(),
                entity::setName,
        entity::getName

                    ,  1 ,
            de.ivu.elect.business.search.entity.BenutzerSuchparameterConstants.NAME_MAX_LENGTH
                );

        }


        return nameProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getSuchparameterProperty() {
        if (suchparameterProperty == null) {
        suchparameterProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getSuchparameterEinzahlMessage(),
        getMetaData().getSuchparameterDefaultValue(),
        getMetaData().isSuchparameterRequired(),
                entity::setSuchparameter,
        entity::getSuchparameter

                    ,  1 ,
            de.ivu.elect.business.search.entity.BenutzerSuchparameterConstants.SUCHPARAMETER_MAX_LENGTH
                );

        }


        return suchparameterProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getViewIdProperty() {
        if (viewIdProperty == null) {
        viewIdProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getViewIdEinzahlMessage(),
        getMetaData().getViewIdDefaultValue(),
        getMetaData().isViewIdRequired(),
                entity::setViewId,
        entity::getViewId

                    ,  1 ,
            de.ivu.elect.business.search.entity.BenutzerSuchparameterConstants.VIEW_ID_MAX_LENGTH
                );

        }


        return viewIdProperty;
        }





        
        }